Vector BLF: Vector::BLF::FlexRayVFrReceiveMsgEx Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::FlexRayVFrReceiveMsgEx Struct Referencefinal

FR_RCVMESSAGE_EX. More...

`#include <FlexRayVFrReceiveMsgEx.h>`

Inheritance diagram for Vector::BLF::FlexRayVFrReceiveMsgEx:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
| application channel
uint16_t | version {}
| version of data struct
uint16_t | channelMask {}
| channel mask
uint16_t | dir {}
| dir flag (tx, rx)
uint32_t | clientIndexFlexRayVFrReceiveMsgEx {}
| clientindex of send node
uint32_t | clusterNo {}
| number of cluster
uint16_t | frameId {}
| slot identifier, word
uint16_t | headerCrc1 {}
| header crc channel 1
uint16_t | headerCrc2 {}
| header crc channel 2
uint16_t | byteCount {}
| byte count (not payload) of frame from CC receive buffer
uint16_t | dataCount {}
| length of the data array (stretchy struct)
uint16_t | cycle {}
| current cycle
uint32_t | tag {}
| type of cc
uint32_t | data {}
| register flags
uint32_t | frameFlags {}
| frame flags
uint32_t | appParameter {}
| TxRq, TxAck flags.
uint32_t | frameCrc {}
| frame crc
uint32_t | frameLengthNs {}
| length of frame in ns
uint16_t | frameId1 {}
| for internal use
uint16_t | pduOffset {}
| payload offset (position in a frame)
uint16_t | blfLogMask {}
| only valid for frames. Every stands for one PDU. If set, the PDU must be extracted out of the frame. The bit order is the PDU order in the frame starting with the PDU with the smallest offset
std::array< uint16_t, 13 > | reservedFlexRayVFrReceiveMsgEx {}
std::vector< uint8_t > | dataBytes {}
| array of databytes
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

FR_RCVMESSAGE_EX.

FlexRay message or PDU received or transmitted on FlexRay bus.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::FlexRayVFrReceiveMsgEx::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::FlexRayVFrReceiveMsgEx::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ appParameter

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::appParameter {}

TxRq, TxAck flags.

Not used, reserved

## ◆ blfLogMask

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::blfLogMask {}

only valid for frames. Every stands for one PDU. If set, the PDU must be extracted out of the frame. The bit order is the PDU order in the frame starting with the PDU with the smallest offset

Only valid for frames. Every stands for one PDU. If set, the PDU must be extracted out of the frame. The bit order is the PDU order in the frame starting with the PDU with the smallest offset.

## ◆ byteCount

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::byteCount {}

byte count (not payload) of frame from CC receive buffer

Payload length in bytes

## ◆ channel

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::channel {}

application channel

Application channel

## ◆ channelMask

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::channelMask {}

channel mask

Channel Mask

- 0 = Reserved or invalid
- 1 = FlexRay Channel A
- 2 = FlexRay Channel B
- 3 = FlexRay Channels A and B

## ◆ clientIndexFlexRayVFrReceiveMsgEx

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::clientIndexFlexRayVFrReceiveMsgEx {}

clientindex of send node

Client index of send node. Must be set to 0 if file is written from other applications.

## ◆ clusterNo

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::clusterNo {}

number of cluster

Number of cluster: channel number - 1

## ◆ cycle

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::cycle {}

current cycle

Cycle number

## ◆ data

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::data {}

register flags

Controller specific frame state information

Cyclone I:

- Bit 0: TX Conflict (TXCON)
- Bit 1: Boundary Violation (BVIOL)
- Bit 2: Content Error (CERR)
- Bit 3: Syntax Error (SERR)
- Bit 4: StartUP Frame indication (SUPF)
- Bit 5: NULL Frame indication (NF)
- Bit 6: SYNC Frame indication (SF)
- Bit 7: Valid Communication Element (VCE)

Cyclone II:

- Bit 0: Syntax Error (SERR)
- Bit 1: Content Error (CERR)
- Bit 2: Slot BoundaryViolation (BVIOL)
- Bit 3: Empty Slot (SLEMPTY)
- Bit 4: Message Lost (MLOST)
- Bit 5: Valid Frame (VAL)

BUSDOCTOR:

- Bit 0: Decoding Error (CODERR)
- Bit 1: Violation Error (TSSVIOL)
- Bit 2: Header CRC Error (HCRCERR)
- Bit 3: Frame CRC Error (FCRCERR)
- Bit 4: Frame End Sequence Error (FESERR)
- Bit 5: Symbol (SYMB)
- Bit 6: Valid Frame (VAL)
- Bit 7: Boundary Violation Error (MASB)
- Bit 8: NIT Violation Error (NITVIOL)
- Bit 9: Symbol Window Violation Error (SWVIOL)
- Bit 10: Slot Overbooked Error (SOVERR)
- Bit 11: Null Frame Error (INFE)
- Bit 12: Syncframe or Startup Error (ISFE)
- Bit 13: Frame ID Error (FIDE)
- Bit 14: Cycle Counter Error (CCE)
- Bit 15: Static Payload Length Error (PLSE)

VN:

- Bit 0: Syntax Error (SERR)
- Bit 1: Content Error (CERR)
- Bit 2: Slot BoundaryViolation (BVIOL)
- Bit 3: Empty Slot (SLEMPTY)
- Bit 4: Message Lost (MLOST)
- Bit 5: Valid Frame (VAL)
- Bit 6: TX Conflict (TXCON)
- Bit 7: Framing Error (FrmERR)
- Bit 8: Header CRC Error (HdrERR)
- Bit 9: Frame CRC Error (FrmCRC)
- Bit 12: Tx Conflict

## ◆ dataBytes

std::vector<uint8_t> Vector::BLF::FlexRayVFrReceiveMsgEx::dataBytes {}

array of databytes

Payload

## ◆ dataCount

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::dataCount {}

length of the data array (stretchy struct)

Number of bytes of the payload stored in dataBytes. If the CC-frame buffer was too small to receive the complete payload, then dataCount is smaller than byteCount.

## ◆ dir

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::dir {}

dir flag (tx, rx)

Direction Flags

- 0 = Rx
- 1 = Tx
- 2 = Tx Request
- 3 and 4 are for internal use only.

## ◆ frameCrc

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::frameCrc {}

frame crc

Frame CRC

## ◆ frameFlags

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::frameFlags {}

frame flags

Description of frame flags:

- Bit 0: 1 = Null frame.
- Bit 1: 1 = Data segment contains valid data
- Bit 2: 1 = Sync bit
- Bit 3: 1 = Startup flag
- Bit 4: 1 = Payload preamble bit
- Bit 5: 1 = Reserved bit
- Bit 6: 1 = Error flag (error frame or invalid frame)
- Bit 7: Reserved
- Bit 8: Internally used in CANoe/CANalyzer
- Bit 9: Internally used in CANoe/CANalyzer
- Bit 10: Internally used in CANoe/CANalyzer
- Bit 11: Internally used in CANoe/CANalyzer
- Bit 12: Internally used in CANoe/CANalyzer
- Bit 13: Internally used in CANoe/CANalyzer
- Bit 14: Internally used in CANoe/CANalyzer
- Bit 15: 1 = Async. monitoring has generated this event
- Bit 16: 1 = Event is a PDU
- Bit 17: Valid for PDUs only. The bit is set if the PDU is valid (either if the PDU has no update bit, or the update bit for the PDU was set in the received frame).
- Bit 18: Reserved
- Bit 19: 1 = Raw frame (only valid if PDUs are used in the configuration). A raw frame may contain PDUs in its payload
- Bit 20: 1 = Dynamic segment 0 = Static segment
- Bit 21 This flag is only valid for frames and not for PDUs. 1 = The PDUs in the payload of this frame are logged in separate logging entries. 0 = The PDUs in the payload of this frame must be extracted out of this frame. The logging file does not contain separate PDU-entries.
- Bit 22 Valid for PDUs only. The bit is set if the PDU has an update bit

The reserved bits and the bits which are for internally CANoe/CANalyzer usage must be ignored from other applications. Other applications must set these bits to 0 when writing logging files.

## ◆ frameId

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::frameId {}

slot identifier, word

Slot identifier

## ◆ frameId1

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::frameId1 {}

for internal use

For PDUs only: This is the slot ID of the frame which contains this PDU

## ◆ frameLengthNs

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::frameLengthNs {}

length of frame in ns

Length of frame in ns (only valid for frames received in asynchronous mode, bit 15 is set in the frame flags)

## ◆ headerCrc1

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::headerCrc1 {}

header crc channel 1

Header CRC FlexRay channel 1 (A)

## ◆ headerCrc2

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::headerCrc2 {}

header crc channel 2

Header CRC FlexRay channel 2 (B)

## ◆ pduOffset

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::pduOffset {}

payload offset (position in a frame)

For PDUs only: offset in bytes of PDU in an owner (raw) frame

## ◆ reservedFlexRayVFrReceiveMsgEx

std::array<uint16_t, 13> Vector::BLF::FlexRayVFrReceiveMsgEx::reservedFlexRayVFrReceiveMsgEx {}

reserved

## ◆ tag

uint32_t Vector::BLF::FlexRayVFrReceiveMsgEx::tag {}

type of cc

Type of communication controller

- 0 = Architecture independent
- 1 = Invalid CC type (for internal use only)
- 2 = Cyclone I
- 3 = BUSDOCTOR
- 4 = Cyclone II
- 5 = Vector VN interface
- 6 = VN-Sync-Pulse (only in Status Event, for debugging purposes only)

## ◆ version

uint16_t Vector::BLF::FlexRayVFrReceiveMsgEx::version {}

version of data struct

Object version, for internal use

The documentation for this struct was generated from the following files:

- FlexRayVFrReceiveMsgEx.h
- FlexRayVFrReceiveMsgEx.cpp